package com.io.yaohun.worldbosshurt.listener;

import com.io.yaohun.worldbosshurt.data.RewardData;
import com.io.yaohun.worldbosshurt.event.WorldBossDeathEvent;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import java.util.LinkedHashMap;
import java.util.List;

public class BossDeathEvent implements Listener {

    @EventHandler
    public void onBossDeath(WorldBossDeathEvent e){
        RewardData rewardData = e.getRewardData();
        LinkedHashMap<String, Double> hashMap = e.getSortedMap();
        int rank = 1;
        for (String name : hashMap.keySet()) {
            if (rank >= 6) {
                break;
            }
            List<String> rankRewardList = rewardData.getTopCmdList(rank);
            if (rankRewardList.size() >= 1) {
                Player onlinePlayer = Bukkit.getPlayer(name);
                if (onlinePlayer != null && onlinePlayer.isOnline()) {
                    DemonAPI.ConsoleOutCommandList(onlinePlayer, rankRewardList);
                }
            }
            rank++;
        }
    }
}
